<?php
				$evaluaciones=array ("Inicial","Primera","Segunda","Tercera","Final","Extraordinaria");
				for($i=0;$i<=$_REQUEST['nItemsObs'];$i++)
				{
					if($_REQUEST['ExpCurso'.$i]!=0)
					{
						if($i<$_REQUEST['ExpObsIds'])
						{
							mysql_query("UPDATE obsevaluaciones SET idCurso=".$_REQUEST['ExpCurso'.$i].", EvInicial='".$_REQUEST['EvInicial'.$i]."', EvPrimera='".$_REQUEST['EvPrimera'.$i]."', EvSegunda='".$_REQUEST['EvSegunda'.$i]."',EvTercera='".$_REQUEST['EvTercera'.$i]."',EvFinal='".$_REQUEST['EvFinal'.$i]."',EvExtraordinaria='".$_REQUEST['EvExtraordinaria'.$i]."' WHERE id=".$_REQUEST['ExpObsId'.$i],$conexion);

							for($j=0;$j<=5;$j++)
							{
								for($k=1;$k<6;$k++)
								{
									if($_REQUEST['Ev'.$evaluaciones[$j].$i.'Documento'.$k]!="" && $_REQUEST['Ev'.$evaluaciones[$j].$i.'Documento'.$k]!=$_REQUEST['Ev'.$evaluaciones[$j].$i.'DocumentoAntiguo'.$k])
									{
										if($_REQUEST['Ev'.$evaluaciones[$j].$i.'DocumentoAntiguo'.$k]!="")
											unlink($_REQUEST['Ev'.$evaluaciones[$j].$i.'DocumentoAntiguo'.$k]);
											
										$extension=$_REQUEST['Ev'.$evaluaciones[$j].$i.'DocumentoExt'.$k];
										rename("documentos/expediente/".$_REQUEST['Ev'.$evaluaciones[$j].$i.'Documento'.$k],"documentos/expediente/Ev".$evaluaciones[$j].$_REQUEST['ExpObsId'.$i]."_".$k.$extension);
										mysql_query("UPDATE obsevaluaciones SET Ev".$evaluaciones[$j]."Doc".$k."='Ev".$evaluaciones[$j].$_REQUEST['ExpObsId'.$i]."_".$k.$extension."' WHERE id=".$_REQUEST['ExpObsId'.$i],$conexion);
									}
								}
							}
						} else
						{
							mysql_query("INSERT into obsevaluaciones(idAlumno,idCurso,EvInicial,EvPrimera,EvSegunda,EvTercera,EvFinal,EvExtraordinaria) VALUES(".$_REQUEST['id'].",".$_REQUEST['ExpCurso'.$i].",'".$_REQUEST['EvInicial'.$i]."','".$_REQUEST['EvPrimera'.$i]."','".$_REQUEST['EvSegunda'.$i]."','".$_REQUEST['EvTercera'.$i]."','".$_REQUEST['EvFinal'.$i]."','".$_REQUEST['EvExtraordinaria'.$i]."')",$conexion);

							for($j=0;$j<=5;$j++)
							{
								for($k=1;$k<6;$k++)
								{
									if($_REQUEST['Ev'.$evaluaciones[$j].$i.'Documento'.$k]!="")
									{
										$consultaDocExp=mysql_query("SELECT * FROM obsevaluaciones ORDER BY id DESC", $conexion);
										$filaDocExp=mysql_fetch_array($consultaDocExp);
										
										$extension=$_REQUEST['Ev'.$evaluaciones[$j].$i.'DocumentoExt'.$k];
										rename("documentos/expediente/".$_REQUEST['Ev'.$evaluaciones[$j].$i.'Documento'.$k],"documentos/expediente/Ev".$evaluaciones[$j].$filaDocExp['id']."_".$k.$extension);
										mysql_query("UPDATE obsevaluaciones SET Ev".$evaluaciones[$j]."Doc".$k."='Ev".$evaluaciones[$j].$filaDocExp['id']."_".$k.$extension."' WHERE id=".$filaDocExp['id'],$conexion);
									}
								}
							}
						}
					}
				}

				for($i=0;$i<=9;$i++)
				{
					if($_REQUEST['Infanio'.$i]!=0)
					{
						if($_REQUEST['InfTipo'.$i]=="Otra")
						{

						}



						$idinf=$_REQUEST['InfTipo'.$i];
						$otroinf=$_REQUEST['OtroTipoInf'.$i];
						if($idinf=="Otra") //Nuevo Informe
						{
							if($otroinf!="")
							{
								mysql_query("INSERT INTO tiposinformes (tipoinforme) VALUES ('".$otroinf."')", $conexion);
								$consultaInf=mysql_query("SELECT * FROM tiposinformes ORDER BY id DESC",$conexion);
								$filaInf=mysql_fetch_array($consultaInf);
								$idinf=$filaInf['id'];
							} else
							{
								$idinf=0;
							}
						}

						mysql_query("INSERT into informes(idAlumno,idTipo,idAnio,idCurso,Centro) VALUES(".$_REQUEST['id'].",".$idinf.",".$_REQUEST['Infanio'.$i].",".$_REQUEST['InfCurso'.$i].",'".$_REQUEST['InfCentro'.$i]."')",$conexion);
						$consultaInf=mysql_query("SELECT * FROM informes WHERE idAlumno=".$_REQUEST['id']." ORDER BY id DESC",$conexion);
						$filaInf=mysql_fetch_array($consultaInf);
						if($_FILES['Inf'.$i]['name']!="")
						{
							if(file_exists($_FILES['Inf'.$i]['tmp_name']))
							{
								$carpeta_archivos='informes';
								if(!file_exists($carpeta_archivos))
								{
									mkdir($carpeta_archivos);
									@chmod($carpeta_archivos, 0777);
								}
								$carpeta_archivos=$carpeta_archivos."/".$_REQUEST['id'];
								if(!file_exists($carpeta_archivos))
								{
									mkdir($carpeta_archivos);
									@chmod($carpeta_archivos, 0777);
								}
								$tmp = $_FILES['Inf'.$i]['tmp_name'];
								$name = $_FILES['Inf'.$i]['name'];
								$extension=substr($name,strlen($name)-4,strlen($name));
								$ahora = $carpeta_archivos.'/'.$id."_".$filaInf['id'].$extension;
								move_uploaded_file($tmp, $ahora);
								$fichero=$ahora;
							} else {
								$fichero="";
							}
							mysql_query("UPDATE informes SET Informe='".$fichero."' WHERE id=".$filaInf['id'],$conexion);
						}
					}
				}
				if($_FILES['Expediente']['name']!="")
				{
					if(file_exists($_FILES['Expediente']['tmp_name']))
					{
						mysql_query("INSERT INTO expedientes (expediente, idAl) VALUES ('cualquiervalor',".$_REQUEST['id'].")", $conexion);
						$consultaExp=mysql_query("SELECT * FROM expedientes ORDER BY id DESC", $conexion);
						$filaExp=mysql_fetch_array($consultaExp);
						$carpeta_archivos='documentos';
						if(!file_exists($carpeta_archivos))
						{
							mkdir($carpeta_archivos);
							@chmod($carpeta_archivos, 0777);
						}
						$carpeta_archivos='documentos/expedientes';
						if(!file_exists($carpeta_archivos))
						{
							mkdir($carpeta_archivos);
							@chmod($carpeta_archivos, 0777);
						}
						$tmp = $_FILES['Expediente']['tmp_name'];
						$name = $_FILES['Expediente']['name'];
						$extension=substr($name,strlen($name)-4,strlen($name));
						$ahora = $carpeta_archivos.'/'.$filaExp['id'].$extension;
						move_uploaded_file($tmp, $ahora);
						$fichero=$ahora;
						mysql_query("UPDATE expedientes SET expediente='".$filaExp['id'].$extension."' WHERE id=".$filaExp['id'],$conexion);
					} else {
						$fichero="";
					}
					mysql_query("UPDATE alumnos SET ExpedienteAcademico='".$fichero."' WHERE id=".$_REQUEST['id'],$conexion);
				}
?>
